Bug 1489379 - Non admins users should be able to add Organization / Locations to themselves
Summary: Non admins users should be able to add Organization / Locations to themselves
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Organizations and Locations
Version: 6.2.11
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 10:14 UTC by Renu Chauhan
Modified: 2019-10-07 17:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:54 UTC

Description Renu Chauhan 2017-09-07 10:14:51 UTC
Description of problem:
On Satellite Server, when a user other than admin having the below permissions:
~~~~
Location : assign_locations, destroy_locations, edit_locations, create_locations, view_locations

Organization : Edit Organization,assign_organizations, destroy_organizations, edit_organizations, create_organizations, view_organizations
~~~~
 go ahead and add a new Organization and Location then that these are not reflected in his account.

Version-Release number of selected component (if applicable):


How reproducible:Always


Steps to Reproduce:
1.Go to Satellite WebUI --> Create new user --> Assign Roles as stated above 
2.Login via new user --> Admin User --> My account --> Add any Organization / Location and then Submit
3.Now check in the Tab Manage Organizations/ Manage Locations or in My account again, the given Location and Organization is not reflected.
4.Also the new user is given a choice to add only those Organizations/ Locations from the list in My account which have been assigned by admin to this user.

Actual results:The newly added Locations or Organizations are not saved/reflected.


Expected results:New users should be able to add and see the Location and Organizations.


Additional info:

Comment 1 Marek Hulan 2017-09-11 09:27:49 UTC
I wonder if we should add extra permission just for this case. Or perhaps testing whether the filter could be set to limit what resources can be updated by user. The usecase is that admin creates a user that manages some org. Such user should not add more orgs to his/her scope. There's a hardcoded switch in org selector specific for User resource because of this.

Comment 4 Ondřej Pražák 2018-09-11 14:18:00 UTC
This seems to be fixed in 6.4, could QE verify?

Comment 6 Lai 2019-01-17 15:55:07 UTC
Tested on 6.5.0_11

Used the reproduce step above and verify that newly create user are able to add and see location / organization in the UI as expected.

Marking issue as verified.

Comment 8 errata-xmlrpc 2019-05-14 12:36:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.